Page MenuHomePhabricator

[Regression pre-wmf.8] Table context menu is appearing over table cell menu
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Insert a table
  2. Select a cell.
  3. Click on the cell operator arrow to open cell menu

Observe that the context menu for the table is appearing over the cell menu, which makes it impossible to do certain operation for some cells

Event Timeline

Ryasmeen created this task.Jul 1 2017, 1:14 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 1 2017, 1:14 AM
Deskana triaged this task as High priority.Jul 3 2017, 6:09 PM
Deskana moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

@matmarex was changing z-indices *points finger*

DLynch added a subscriber: DLynch.Jul 6 2017, 3:04 PM

Yeah, bisect points to 73ce638f11.

Change 363619 had a related patch set uploaded (by DLynch; owner: DLynch):
[VisualEditor/VisualEditor@master] ve.ui.TableLineContext: restore the z-index hack

https://gerrit.wikimedia.org/r/363619

DLynch claimed this task.Jul 6 2017, 3:09 PM

Change 363619 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] ve.ui.TableLineContext: restore the z-index hack

https://gerrit.wikimedia.org/r/363619

Change 363691 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (1934b77e7)

https://gerrit.wikimedia.org/r/363691

Change 363691 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (1934b77e7)

https://gerrit.wikimedia.org/r/363691

Jdforrester-WMF closed this task as Resolved.Jul 6 2017, 9:11 PM
Jdforrester-WMF set the point value for this task to 1.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 6 2017, 9:11 PM
Ryasmeen reopened this task as Open.Sep 14 2017, 7:46 PM

Seems like this issue has resurfaced recently, seeing it in Beta/Test2/production. Happy to create a separate report on the same issue if that's more appropriate in this case.

One second. This is my fault from c1c38136d, but I was *sure* I'd tested this as well.

Change 378099 had a related patch set uploaded (by DLynch; owner: DLynch):
[VisualEditor/VisualEditor@master] ui.TableLineContext: fix z-index for menu

https://gerrit.wikimedia.org/r/378099

Okay, now we simultaneously have proper overlap:

...and RTL arrows in correct positions:

Change 378099 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] ui.TableLineContext: fix z-index for menu

https://gerrit.wikimedia.org/r/378099

Change 378151 had a related patch set uploaded (by Jforrester; owner: DLynch):
[VisualEditor/VisualEditor@wmf/1.30.0-wmf.18] ui.TableLineContext: fix z-index for menu

https://gerrit.wikimedia.org/r/378151

Change 378155 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (05439f5b7)

https://gerrit.wikimedia.org/r/378155

Change 378151 merged by Jforrester:
[VisualEditor/VisualEditor@wmf/1.30.0-wmf.18] ui.TableLineContext: fix z-index for menu

https://gerrit.wikimedia.org/r/378151

Change 378176 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to wmf/1.30.0-wmf.18 HEAD (0222046b2)

https://gerrit.wikimedia.org/r/378176

Change 378176 abandoned by Jforrester:
Update VE core submodule to wmf/1.30.0-wmf.18 HEAD (0222046b2)

Reason:
Git review sucks

https://gerrit.wikimedia.org/r/378176

Change 378181 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@wmf/1.30.0-wmf.18] Update VE core submodule to wmf/1.30.0-wmf.18 HEAD (0222046b2)

https://gerrit.wikimedia.org/r/378181

Change 378155 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (05439f5b7)

https://gerrit.wikimedia.org/r/378155

Change 378181 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.30.0-wmf.18] Update VE core submodule to wmf/1.30.0-wmf.18 HEAD (0222046b2)

https://gerrit.wikimedia.org/r/378181

Mentioned in SAL (#wikimedia-operations) [2017-09-14T23:34:23Z] <catrope@tin> Synchronized php-1.30.0-wmf.18/extensions/VisualEditor/lib/ve/src/ui/styles/ve.ui.TableLineContext.css: T169389 (duration: 00m 45s)

Jdforrester-WMF closed this task as Resolved.Sep 14 2017, 11:40 PM

Re-fix now deployed.

Tested and re-verified.